port: 7890
socks-port: 7891
mixed-port: 7788
allow-lan: true
mode: Rule
log-level: silent
ipv6: false
external-controller: 0.0.0.0:9090
secret: ''

dns:
  enable: true
  nameserver:
    - 223.5.5.5  
    - 119.29.29.29
    - 114.114.114.114
    - 8.8.4.4
    - 8.8.8.8
    - https://dns.google/dns-query    
  fallback:
    - https://cloudflare-dns.com/dns-query
    - 8.8.4.4
    - 8.8.8.8

cfw-bypass:
    - ghproxy.com
    - github.com
    - raw.githubusercontent.com
    - '*.herokuapp.com'
    - qq.com
    - taobao.com
    - music.163.com
    - yzqiang.site
    - pp.yzqiang6.workers.dev    
    - '*.music.126.net'
    - '*.yzqiang.site'
    - '*.workers.dev'
    - localhost
    - 127.*
    - 10.*
    - 172.16.*
    - 172.17.*
    - 172.18.*
    - 172.19.*
    - 172.20.*
    - 172.21.*
    - 172.22.*
    - 172.23.*
    - 172.24.*
    - 172.25.*
    - 172.26.*
    - 172.27.*
    - 172.28.*
    - 172.29.*
    - 172.30.*
    - 172.31.*
    - 192.168.*
    - <local>
cfw-latency-timeout: 5000
proxies:
  - {name: CF1, server: bestcf.yzqiang.site, port: 80, type: vless, uuid: b940be1b-3998-45d2-bf7b-06e7b6c4987a, network: ws, tls: false, udp: false, ws-opts: {path: "/?ed=2560", headers: {host: vs.yzqiang1.workers.dev}}}
  - {name: CF2, server: bestcf.yzqiang.site, port: 80, type: vless, uuid: b940be1b-3998-45d2-bf7b-06e7b6c4987a, network: ws, tls: false, udp: false, ws-opts: {path: "/?ed=2560", headers: {host: vs.yzqiang2.workers.dev}}}
  - {name: CF3, server: bestcf.yzqiang.site, port: 80, type: vless, uuid: b940be1b-3998-45d2-bf7b-06e7b6c4987a, network: ws, tls: false, udp: false, ws-opts: {path: "/?ed=2560", headers: {host: vs.yzqiang3.workers.dev}}}
  - {name: CF4, server: bestcf.yzqiang.site, port: 80, type: vless, uuid: b940be1b-3998-45d2-bf7b-06e7b6c4987a, network: ws, tls: false, udp: false, ws-opts: {path: "/?ed=2560", headers: {host: vs.yzqiang4.workers.dev}}}
  - {name: CF5, server: bestcf.yzqiang.site, port: 80, type: vless, uuid: b940be1b-3998-45d2-bf7b-06e7b6c4987a, network: ws, tls: false, udp: false, ws-opts: {path: "/?ed=2560", headers: {host: vs.yzqiang5.workers.dev}}}
  - {name: CF6, server: bestcf.yzqiang.site, port: 80, type: vless, uuid: b940be1b-3998-45d2-bf7b-06e7b6c4987a, network: ws, tls: false, udp: false, ws-opts: {path: "/?ed=2560", headers: {host: vs.yzqiang6.workers.dev}}}
  - {name: CF7, server: usa.visa.com, port: 80, type: vless, uuid: b940be1b-3998-45d2-bf7b-06e7b6c4987a, network: ws, tls: false, udp: false, ws-opts: {path: "/?ed=2560", headers: {host: vs.yzqiang1.workers.dev}}}
  - {name: CF8, server: usa.visa.com, port: 80, type: vless, uuid: b940be1b-3998-45d2-bf7b-06e7b6c4987a, network: ws, tls: false, udp: false, ws-opts: {path: "/?ed=2560", headers: {host: vs.yzqiang2.workers.dev}}}
  - {name: CF9, server: usa.visa.com, port: 80, type: vless, uuid: b940be1b-3998-45d2-bf7b-06e7b6c4987a, network: ws, tls: false, udp: false, ws-opts: {path: "/?ed=2560", headers: {host: vs.yzqiang3.workers.dev}}}
  - {name: CF10, server: usa.visa.com, port: 80, type: vless, uuid: b940be1b-3998-45d2-bf7b-06e7b6c4987a, network: ws, tls: false, udp: false, ws-opts: {path: "/?ed=2560", headers: {host: vs.yzqiang4.workers.dev}}}
  - {name: CF11, server: usa.visa.com, port: 80, type: vless, uuid: b940be1b-3998-45d2-bf7b-06e7b6c4987a, network: ws, tls: false, udp: false, ws-opts: {path: "/?ed=2560", headers: {host: vs.yzqiang5.workers.dev}}}


proxy-groups:
- name: 负载均衡
  type: load-balance
  url: http://www.gstatic.com/generate_204
  interval: 300
  proxies:
    - CF1
    - CF2
    - CF3
    - CF4
    - CF5
    - CF6
    - CF7
    - CF8
    - CF9
    - CF10
    - CF11

- name: 自动选择
  type: url-test
  url: http://www.gstatic.com/generate_204
  interval: 300
  tolerance: 50
  proxies:
    - CF1
    - CF2
    - CF3
    - CF4
    - CF5
    - CF6
    - CF7
    - CF8
    - CF9
    - CF10
    - CF11

- name: 🌍选择代理
  type: select
  proxies:
    - 负载均衡
    - 自动选择
    - DIRECT
    - CF1
    - CF2
    - CF3
    - CF4
    - CF5
    - CF6
    - CF7
    - CF8
    - CF9
    - CF10
    - CF11

rules:
  - GEOIP,LAN,DIRECT
  - GEOIP,CN,DIRECT
  - MATCH,🌍选择代理